import 'package:automated_testing_framework/automated_testing_framework.dart';
import 'package:flutter/material.dart';
import 'package:flutter_slidable/flutter_slidable.dart';

class SlidablesPage extends StatelessWidget {
  SlidablesPage({Key? key}) : super(key: key);

  final List<String> _items = [
    'one',
    'two',
    'three',
    'four',
    'five',
    'six',
    'seven',
    'eight',
    'nine',
    'ten',
    'eleven',
    'twelve',
    'thirteen',
    'fourteen',
    'fifteen',
    'sixteen',
    'seventeen',
    'eighteen',
    'nineteen',
    'twenty',
    'twenty one',
    'twenty two',
    'twenty three',
    'twenty four',
    'twenty five',
    'twenty six',
    'twenty seven',
    'twenty eight',
    'twenty nine',
    'thirty',
    'thirty one',
    'thirty two',
    'thirty three',
    'thirty four',
    'thirty five',
    'thirty six',
    'thirty seven',
    'thirty eight',
    'thirty nine',
    'fourty',
    'fourty one',
    'fourty two',
    'fourty three',
    'fourty four',
    'fourty five',
    'fourty six',
    'fourty seven',
    'fourty eight',
    'fourty nine',
    'fifty',
    'fifty one',
    'fifty two',
    'fifty three',
    'fifty four',
    'fifty five',
    'fifty six',
    'fifty seven',
    'fifty eight',
    'fifty nine',
    'sixty',
    'sixty one',
    'sixty two',
    'sixty three',
    'sixty four',
    'sixty five',
    'sixty six',
    'sixty seven',
    'sixty eight',
    'sixty nine',
    'seventy',
    'seventy one',
    'seventy two',
    'seventy three',
    'seventy four',
    'seventy five',
    'seventy six',
    'seventy seven',
    'seventy eight',
    'seventy nine',
    'eighty',
    'eighty one',
    'eighty two',
    'eighty three',
    'eighty four',
    'eighty five',
    'eighty six',
    'eighty seven',
    'eighty eight',
    'eighty nine',
    'ninety',
    'ninety one',
    'ninety two',
    'ninety three',
    'ninety four',
    'ninety five',
    'ninety six',
    'ninety seven',
    'ninety eight',
    'ninety nine',
    'one hundred',
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Slidables'),
      ),
      body: ListView.builder(
        itemCount: _items.length,
        itemBuilder: (BuildContext context, int index) => Testable(
          id: 'slidable_${_items[index]}',
          child: Slidable(
            actionPane: SlidableScrollActionPane(),
            actions: [
              IconSlideAction(
                caption: 'Action',
                color: Colors.red,
                icon: Icons.delete,
              ),
            ],
            secondaryActions: [
              IconSlideAction(
                caption: 'Secondary Action',
                color: Colors.green,
                icon: Icons.add,
              )
            ],
            child: ListTile(
              title: Text('Slidable $index'),
            ),
          ),
        ),
      ),
    );
  }
}
